Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSImportedElementRoot

All Superinterfaces:
  org.w3c.dom.DocumentFragment, org.w3c.dom.Node

All Known Implementing Classes:
  SVGOMCSSImportedElementRoot

public interface CSSImportedElementRoot
extends org.w3c.dom.DocumentFragment

This interface represents a DOM node which must be set as parent of an imported node to allow a mecanism similar to the SVG element to work.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`org.w3c.dom.Element` | `getCSSParentElement()` Returns the parent of the imported element, from the CSS point of view.
`boolean` | `getIsLocal()` Returns true if the imported element is local to the owning document.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getCSSParentElement

    public org.w3c.dom.Element getCSSParentElement()

  Returns the parent of the imported element, from the CSS point of view.

### getIsLocal

    public boolean getIsLocal()

  Returns true if the imported element is local to the owning document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.